import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaVendorCrawlerSensorItem } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaVendorCrawlerSensorItemService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaVendorCrawlerSensorItem[]> {
    return this.rpcService.call('MetaVendorCrawlerSensorItemService.readAll');
  }
}
